#ifndef MYQTAPP_H
#define MYQTAPP_H

// if we include <QtGui> there is no need to include every class used: <QString>, <QFileDialog>,...
#include <QtGui> 

// OpenCV
#include <highgui.h>
#include <cxcore.h>
#include <ml.h>
#include <cv.h>

// (for jpg metadata)
#include <libexif/exif-data.h>

// For directory listing.
#include <dirent.h>
#include <sys/types.h>

#include <time.h> 
#include <vector>
#include <fstream>

// For leading zeros in cout with cout ... << setfill('0') << setw(2) << ...
#include <iomanip>
#include <iostream>
using namespace std;


#include "ui_myqtapp.h"




class myQtApp : public QWidget, private Ui::myQtAppDLG
{
	Q_OBJECT

public:
	myQtApp(QWidget *parent = 0);

public slots:
	void get_path();
	void process_directory();
	void do_something();
	void file_fwd();
	void file_bwd();
	void update_file_list();
	int get_number_of_measures(string);
	void lock_all();
	void unlock_all();
};


#endif
